package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TFivesFileMapper;
import com.ruoyi.project.production.domain.TFivesFile;
import com.ruoyi.project.production.service.ITFivesFileService;

/**
 * 5s管理附件Service业务层处理
 *
 * @author ruoyi
 * @date 2023-03-30
 */
@Service
public class TFivesFileServiceImpl implements ITFivesFileService
{
    @Autowired
    private TFivesFileMapper tFivesFileMapper;

    /**
     * 查询5s管理附件
     *
     * @param id 5s管理附件ID
     * @return 5s管理附件
     */
    @Override
    public TFivesFile selectTFivesFileById(Long id)
    {
        return tFivesFileMapper.selectTFivesFileById(id);
    }

    /**
     * 查询5s管理附件列表
     *
     * @param tFivesFile 5s管理附件
     * @return 5s管理附件
     */
    @Override
    public List<TFivesFile> selectTFivesFileList(TFivesFile tFivesFile)
    {
        return tFivesFileMapper.selectTFivesFileList(tFivesFile);
    }

    /**
     * 新增5s管理附件
     *
     * @param tFivesFile 5s管理附件
     * @return 结果
     */
    @Override
    public int insertTFivesFile(TFivesFile tFivesFile)
    {
        return tFivesFileMapper.insertTFivesFile(tFivesFile);
    }

    /**
     * 修改5s管理附件
     *
     * @param tFivesFile 5s管理附件
     * @return 结果
     */
    @Override
    public int updateTFivesFile(TFivesFile tFivesFile)
    {
        return tFivesFileMapper.updateTFivesFile(tFivesFile);
    }

    /**
     * 批量删除5s管理附件
     *
     * @param ids 需要删除的5s管理附件ID
     * @return 结果
     */
    @Override
    public int deleteTFivesFileByIds(Long[] ids)
    {
        return tFivesFileMapper.deleteTFivesFileByIds(ids);
    }

    /**
     * 删除5s管理附件信息
     *
     * @param id 5s管理附件ID
     * @return 结果
     */
    @Override
    public int deleteTFivesFileById(Long id)
    {
        return tFivesFileMapper.deleteTFivesFileById(id);
    }
}
